Bug 21486 - Some xscreensaver modules assume default backgroun is black
Some xscreensaver modules assume default backgroun is black
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver (Show other bugs)
7.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-29 11:18 EST by Ed Bailey
Modified: 2014-03-16 22:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-06 16:09:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Bailey 2000-11-29 11:18:39 EST
The following xscreensaver modules assume that the default background color
is black:

spotlight
wander
shadebobs
ccurve
interference
bumps

If *background in .Xresources is set to something other than black, these
modules will use that color.  With some modules, this results in the screen
flashing to the background color before then switching to black; with other
modules, the background color is used throughout the module's operation,
resulting in some strange effects (spotlight and shadebobs are good
examples).

The problem can be fixed by adding "-bg black" to each module's command
line in xscreensaver-demo, but the more proper way to fix this would be to
fix each module...
Comment 1 Jamie Zawinski 2002-07-27 02:04:37 EDT
This doesn't appear to be the case for any of those, in xscreensaver 4.05.
If it's still happening for you, please show me the contents of "xrdb -q"
so I can reproduce it.
Comment 2 Ed Bailey 2002-08-06 16:09:37 EDT
No, can't replicate it under 4.05, so it's probably best for everyone to just
close this one out...

Note You need to log in before you can comment on or make changes to this bug.